package com.fs.qw.mapper;

import com.alibaba.fastjson.JSONObject;
import com.fs.his.vo.OptionsVO;
import com.fs.qw.domain.QwInformation;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * 信息流管理Mapper接口
 *
 * @author fs
 * @date 2024-11-11
 */
public interface QwInformationMapper
{
    /**
     * 查询信息流管理
     *
     * @param id 信息流管理主键
     * @return 信息流管理
     */
    public QwInformation selectQwInformationById(Long id);

    /**
     * 查询信息流管理列表
     *
     * @param qwInformation 信息流管理
     * @return 信息流管理集合
     */
    public List<QwInformation> selectQwInformationList(QwInformation qwInformation);

    /**
     * 新增信息流管理
     *
     * @param qwInformation 信息流管理
     * @return 结果
     */
    public int insertQwInformation(QwInformation qwInformation);

    /**
     * 修改信息流管理
     *
     * @param qwInformation 信息流管理
     * @return 结果
     */
    public int updateQwInformation(QwInformation qwInformation);

    /**
     * 删除信息流管理
     *
     * @param id 信息流管理主键
     * @return 结果
     */
    public int deleteQwInformationById(Long id);

    /**
     * 批量删除信息流管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwInformationByIds(Long[] ids);

    List<JSONObject> selectQwWayStatisticsCounts(Map<String, Object> map);

    @Select("select id dictValue ,name dictLabel from qw_information")
    List<OptionsVO> selectQwInformationListOptionsVO();

}
